### Method

# Gtk Snapshotappend_scaled_texture

since: 4.10

#### Declaration [src]

    void
    gtk_snapshot_append_scaled_texture (
      GtkSnapshot* snapshot,
      GdkTexture* texture,
      GskScalingFilter filter,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a new render node drawing the `texture` into the given `bounds` and appends it to the current render node of `snapshot`.

In contrast to `gtk_snapshot_append_texture()`, this function provides control about how the filter that is used when scaling.

Available since: 4.10

#### Parameters

`texture`

  Type: `GdkTexture`

  The texture to render.

  The data is owned by the caller of the method.

`filter`

  Type: `GskScalingFilter`

  The filter to use.

`bounds`

  Type: `graphene_rect_t`

  The bounds for the new node.

  The data is owned by the caller of the method.